CREATE OR REPLACE TRIGGER $SCHEMA$."PDD_INST" AFTER INSERT ON $SCHEMA$."CONTAINER_DATA_SEG" REFERENCING NEW AS PD FOR EACH ROW 
DECLARE
SEQ_VAL DECIMAL(16,0);
BEGIN
IF :PD.DATA IS NOT NULL THEN
SELECT PROC_DATA_SEQUENCE.NEXTVAL INTO SEQ_VAL FROM DUAL;
INSERT INTO
$SCHEMA$.HS_CONT_DETAIL(CONT_DETAIL_SEQ, CD_BIID, CD_CIID, CD_LAST_UPDATED, SEQ_NUM, DATA)
VALUES
(SEQ_VAL, :PD.BIID, :PD.CIID, TIMESTAMP_WF(SYSDATE, 0), :PD.SEQ_NUM, :PD.DATA);
END IF;
END;
/

CREATE OR REPLACE TRIGGER $SCHEMA$."PDD_UPDT" AFTER UPDATE ON $SCHEMA$."CONTAINER_DATA_SEG" REFERENCING NEW AS PD FOR EACH ROW 
DECLARE
SEQ_VAL DECIMAL(16,0);
BEGIN
IF :PD.DATA IS NOT NULL THEN
SELECT PROC_DATA_SEQUENCE.NEXTVAL INTO SEQ_VAL FROM DUAL;
INSERT INTO
$SCHEMA$.HS_CONT_DETAIL(CONT_DETAIL_SEQ, CD_BIID, CD_CIID, CD_LAST_UPDATED, SEQ_NUM, DATA)
VALUES
(SEQ_VAL, :PD.BIID, :PD.CIID, TIMESTAMP_WF(SYSDATE, 0), :PD.SEQ_NUM, :PD.DATA);
END IF;
END;
/

UPDATE $SCHEMA$.HS_SCHEMA SET VERSION=42;

COMMIT;
